import { SpreadsheetActiveTableChangedEventArgs as SpreadsheetActiveTableChangedEventArgs_internal } from "./SpreadsheetActiveTableChangedEventArgs";
import { WorksheetTable } from "igniteui-angular-excel";
/**
 * Event arguments for the
 * activeTableChanged event.
*/
export declare class IgxSpreadsheetActiveTableChangedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SpreadsheetActiveTableChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Returns the new value of the
     * activeTable
    */
    get newValue(): WorksheetTable;
    /**
     * Returns the previous value of the
     * activeTable
    */
    get oldValue(): WorksheetTable;
}
